# std::experimental::function<R(Args...)>::get_memory_resource

From cppreference.com
< cpp‎ | experimental‎ | function

std::experimental::pmr::memory_resource * get_memory_resource() const noexcept; |  | (library fundamentals TS)

Returns a pointer to the memory resource used by this object to allocate memory.

### Parameters

(none)

### Return value

A pointer to the memory resource used by this object to allocate memory.

### See also

(constructor) | constructs a new `std::experimental::function` instance (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/function/get_memory_resource&oldid=98613"